nxt.http

## Class GetFundingMonitor

- java.lang.Object
- - nxt.http.APIServlet.APIRequestHandler
  - - nxt.http.GetFundingMonitor

-     public class GetFundingMonitor
      extends APIServlet.APIRequestHandler

  Get a funding monitor

  The monitors for a single funding account will be returned when the secret phrase is specified. A single monitor will be returned if holding and property are specified. Otherwise, all monitors for the funding account will be returned The administrator password is not required and will be ignored.

  When the administrator password is specified, all monitors will be returned unless the funding account is also specified. A single monitor will be returned if holding and property are specified. Otherwise, all monitors for the funding account will be returned.

  Holding type codes are listed in getConstants. You can also request the holding information using the includeHoldingInfo parameter. In addition, the holding identifier must be specified when the holding type is ASSET or CURRENCY.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `allowRequiredBlockParameters()`
    `protected org.json.simple.JSONStreamAware` | `processRequest(javax.servlet.http.HttpServletRequest req)` Process the request
    `protected boolean` | `requireFullClient()`

    - ### Methods inherited from class nxt.http.APIServlet.APIRequestHandler

      `getAPITags, getFileParameter, getParameters, isChainSpecific, isIgnisOnly, isPassword, isTextArea, processRequest, requireBlockchain, requirePassword, requirePost, startDbTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### processRequest

          protected org.json.simple.JSONStreamAware processRequest(javax.servlet.http.HttpServletRequest req)
                                                            throws ParameterException

      Process the request
      Specified by:
        `processRequest` in class `APIServlet.APIRequestHandler`
      Parameters:
        `req` - Client request
      Returns:
        Client response
      Throws:
        `ParameterException` - Unable to process request

    - #### allowRequiredBlockParameters

          protected boolean allowRequiredBlockParameters()

      Overrides:
        `allowRequiredBlockParameters` in class `APIServlet.APIRequestHandler`

    - #### requireFullClient

          protected boolean requireFullClient()

      Overrides:
        `requireFullClient` in class `APIServlet.APIRequestHandler`